# Method: projects.locations.instances.list

- [HTTP request](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.instances/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.instances/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.instances/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.instances/list#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.instances/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.instances/list#body.ListInstancesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.instances/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.instances/list#body.aspect_1)

Lists Instances in a given project and location.

### HTTP request

`GET https://licensemanager.googleapis.com/v1/{parent=projects/*/locations/*}/instances`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for ListInstancesRequest |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. Filtering results |
| `orderBy` | `string` Optional. Hint for how to order the results |

### Request body

The request body must be empty.

### Response body

Message for response to listing Instances

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "instances": [ { object (`https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.instances#Instance`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `instances[]` | ``object (`https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.instances#Instance`)`` The list of Instance |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `licensemanager.instances.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).